import { ErrorHandler } from '../error/index.js';
export class AbstractPaymentRequest {
    credit(payload) {
        return payload;
    }
    pix(payload) {
        return payload;
    }
    billet(payload) {
        return payload;
    }
    debit(payload) {
        return payload;
    }
    common(payload) {
        return payload;
    }
    getModalityFunction(modality) {
        const functionToCall = this[modality] || null;
        if (typeof functionToCall !== 'function') {
            throw ErrorHandler.invalidChoice('modality', modality);
        }
        return functionToCall;
    }
    handle(payload, modality) {
        const payloadCommon = this.common(payload);
        const functionToCall = this.getModalityFunction(modality);
        const payloadByModality = functionToCall.apply(this, [payloadCommon]);
        return { ...payloadCommon, ...payloadByModality };
    }
}
