import { Gateway } from '../gateway/index.js';
import { ErrorHandler } from '../error/index.js';
class Payment {
    async start(payload) {
        const paymentCompany = Gateway.getPaymentCompany(payload.paymentCompany);
        switch (payload.mode) {
            case 'credit':
                return paymentCompany.credit(payload);
            case 'pix':
                return paymentCompany.pix(payload);
            case 'billet':
                return paymentCompany.billet(payload);
            case 'debit':
                return paymentCompany.debit(payload);
            default: throw ErrorHandler.invalidChoice('modality', payload.mode);
        }
    }
    async confirm(payload) {
        const paymentCompany = Gateway.getPaymentCompany(payload.paymentCompany);
        return paymentCompany.confirm(payload);
    }
    async cancel(payload) {
        const paymentCompany = Gateway.getPaymentCompany(payload.paymentCompany);
        return paymentCompany.cancel(payload);
    }
    async consult(payload) {
        const paymentCompany = Gateway.getPaymentCompany(payload.paymentCompany);
        return paymentCompany.consult(payload);
    }
}
const instance = new Payment();
export { instance as PaymentController };
