import { Middleware } from '../middleware/index.js';
import { Route } from '../route/index.js';
import path from 'node:path';
import tls from 'node:tls';
import fs from 'node:fs';
class App {
    start(app) {
        Middleware.register(app);
        Route.register(app);
    }
    registerTLS() {
        const { API_CERT_PATH = './' } = process.env;
        const certFilePath = path.join(API_CERT_PATH, 'cert.pem');
        const tlsData = tls.rootCertificates.join('\n');
        fs.writeFileSync(certFilePath, tlsData);
        process.env.API_CERT_FILE_PATH = certFilePath;
    }
}
const instance = new App();
export { instance as App };
