import { ParameterError } from './index.js';
const toArray = (parameter) => Array.isArray(parameter) ? parameter : [parameter];
class ErrorHandler {
    invalidParameter(parameter) {
        return new ParameterError().to('INVALID', { parameter });
    }
    invalidChoice(optionName, optionValue) {
        return new ParameterError().to('INVALID_OPTION', { optionName, optionValue });
    }
    parameterNotFound(parameter) {
        return new ParameterError().to('NOT_FOUND', { parameter });
    }
    notImplemented(resource) {
        return new ParameterError().to('NOT_IMPLEMENTED', { resource });
    }
    invalidParameterType(parameter, expected, received) {
        return new ParameterError().to('INVALID_TYPE', { parameter, expected, received });
    }
    emptyParam(parameter) {
        return new ParameterError().to('EMPTY', { parameter });
    }
    invalidFormatParam(parameter, format) {
        return new ParameterError().to('INVALID_FORMAT', { parameter, format });
    }
}
const instance = new ErrorHandler();
export { instance as ErrorHandler };
