import { ParameterError } from './ParameterError.js';
class ResponseError {
    handle(response, error) {
        if (error instanceof ParameterError) {
            const { message, code, data } = error;
            return response.status(500).send({
                messageCode: code,
                message,
                result: data,
            });
        }
        return response.status(500).send({
            message: error.message || 'Unexpected Error',
            messageCode: 'INTERNAL_SERVER_ERROR',
            result: {}
        });
    }
}
const instance = new ResponseError();
export { instance as ResponseError, };
