import { SoftwareExpress } from './index.js';
import { ErrorHandler } from '../error/index.js';
class Gateway {
    getPaymentCompany(paymentCompany) {
        if (!paymentCompany)
            throw ErrorHandler.parameterNotFound('paymentCompany');
        switch (paymentCompany) {
            case 'SOFTWARE_EXPRESS':
                return new SoftwareExpress();
            default:
                throw ErrorHandler.invalidChoice('paymentCompany', paymentCompany);
        }
    }
}
const instance = new Gateway();
export { instance as Gateway };
