import { PaymentController, CardController, } from './controller/index.js';
import { ErrorHandler } from '../../error/index.js';
export class SoftwareExpress {
    async credit(payload) {
        try {
            const response = await PaymentController.credit(payload);
            return response;
        }
        catch (error) {
            return Promise.reject(error);
        }
    }
    async pix(payload) {
        try {
            const response = await PaymentController.pix(payload);
            return response;
        }
        catch (error) {
            return Promise.reject(error);
        }
    }
    async billet(payload) {
        throw ErrorHandler.notImplemented('billet method');
    }
    async debit(payload) {
        throw ErrorHandler.notImplemented('debit method');
    }
    async confirm(payload) {
        try {
            const response = await PaymentController.confirm(payload);
            return response;
        }
        catch (error) {
            return Promise.reject(error);
        }
    }
    async cancel(payload) {
        try {
            const response = await PaymentController.cancel(payload);
            return response;
        }
        catch (error) {
            return Promise.reject(error);
        }
    }
    async consult(payload) {
        try {
            const response = await PaymentController.consult(payload);
            return response;
        }
        catch (error) {
            return Promise.reject(error);
        }
    }
    async storeCard(payload) {
        try {
            const response = await CardController.store(payload);
            return response;
        }
        catch (error) {
            return Promise.reject(error);
        }
    }
    async verifyCard(payload) {
        try {
            const response = await CardController.verify(payload);
            return response;
        }
        catch (error) {
            return Promise.reject(error);
        }
    }
}
