import { RequestApi, PayloadValidation } from '../helper/index.js';
import { CardRequest, CardResponse } from '../service/index.js';
class Card {
    async store(payload) {
        PayloadValidation.isValidCredentials(payload);
        PayloadValidation.storeCard(payload);
        const data = CardRequest.storeCard(payload);
        const response = await RequestApi.storeCard(data);
        return CardResponse.storeCard(response);
    }
    async verify(payload) {
        PayloadValidation.isValidCredentials(payload);
        PayloadValidation.verifyCard(payload);
        const data = CardRequest.verifyCard(payload);
        const transactionPayload = {
            credentials: data.credentials,
            authorizer_id: data.authorizer_id,
            installments: '1',
            installment_type: '4',
            amount: Math.trunc(Math.random() * 10) || 1,
            additional_data: {
                postpone_confirmation: "true"
            }
        };
        const transaction = await RequestApi.createTransaction(transactionPayload);
        if (!transaction || !transaction.payment) {
            return CardResponse.verifyCard(transaction);
        }
        const response = await RequestApi.verifyCard(data, transaction.payment.nit);
        return CardResponse.verifyCard(response);
    }
}
const instance = new Card();
export { instance as CardController };
