import { ErrorHandler } from '../../../error/index.js';
class Authorizer {
    constructor() {
        this.codeMap = {
            VISA: 1,
            MASTERCARD: 2,
            MASTER: 2,
            AMEX: 3,
            HIPERCARD: 5,
            AURA: 6,
            DINERS: 33,
            ELO: 41,
            ALELO: 224,
            SODEXO: 281,
            PIX: 440,
        };
    }
    getCodeByName(name) {
        const code = this.codeMap[name.toUpperCase()] || null;
        if (code === null) {
            throw ErrorHandler.invalidChoice('Authorizer', name);
        }
        return code;
    }
}
const instance = new Authorizer();
export { instance as Authorizer };
