import { RequestData } from './index.js';
class CardRequest {
    handleCardData(payload) {
        const { card } = payload;
        const { expiryDate = '', securityCode = '' } = card;
        if (expiryDate) {
            card.expiry_date = card.expiryDate;
            delete card.expiryDate;
        }
        if (securityCode) {
            card.security_code = card.securityCode;
            delete card.securityCode;
        }
        return payload;
    }
    storeCard(payload) {
        RequestData.setAuthorizerCode(payload);
        const { merchantUsn, customerId, ...payloadToReturn } = payload;
        payloadToReturn.merchant_usn = merchantUsn || RequestData.generateMerchantUsn();
        payloadToReturn.customer_id = customerId;
        this.handleCardData(payloadToReturn);
        return payloadToReturn;
    }
    verifyCard(payload) {
        RequestData.setAuthorizerCode(payload);
        this.handleCardData(payload);
        return payload;
    }
}
const instance = new CardRequest();
export { instance as CardRequest };
