import { Messages } from '../../../helper/index.js';
import { PaymentResponse } from './index.js';
class CardResponse {
    storeCard(response) {
        const messageCode = response.code === '0' ? 'SUCCESS_STORED_CARD' : 'FAILURE_TO_STORE_CARD';
        const message = Messages.getMessageByCode(messageCode);
        const { nit, nsu } = PaymentResponse.getPaymentInfo(response);
        return {
            message,
            messageCode,
            result: {
                nit,
                nsu,
                token: response && response.card ? response.card.token : '',
                gatewayMessage: response.message,
                gatewayResponse: response,
            }
        };
    }
    verifyCard(response) {
        const messageCode = response.code === '0' ? 'SUCCESS_VERIFY_CARD' : 'FAILURE_TO_VERIFY_CARD';
        const message = Messages.getMessageByCode(messageCode);
        const { nit, nsu } = PaymentResponse.getPaymentInfo(response);
        return {
            message,
            messageCode,
            result: {
                nit,
                nsu,
                gatewayMessage: response.message,
                gatewayResponse: response,
            }
        };
    }
}
const instance = new CardResponse();
export { instance as CardResponse };
