const failMessages = {
    FAIL_PAYMENT: 'Failure to make {{paymentModality}} payment',
    FAIL_TRANSACTION_CONSULT: 'Failure to consult transaction',
    FAIL_PAYMENT_CONFIRM: 'Failure payment confirmation',
    FAIL_PAYMENT_CANCEL: 'Failure payment cancellation',
    FAILURE_TO_STORE_CARD: 'Failure to card store',
    FAILURE_TO_VERIFY_CARD: 'Failure to card verify',
    PAYMENT_DENIED: 'Payment denied',
};
const messagesMap = {
    SUCCESS_PAYMENT: 'Success when making {{paymentModality}} payments',
    SUCCESS_TRANSACTION_CONSULT: 'Success to consult transaction',
    SUCCESS_STORED_CARD: 'Success store card',
    SUCCESS_VERIFY_CARD: 'Success verify card',
    SUCCESS_PAYMENT_CONFIRM: 'Success payment confirmation',
    SUCCESS_PAYMENT_CANCEL: 'Success payment cancellation',
    TRANSACTION_IN_PROGRESS_OR_FINALIZED: 'Transaction in progress or finalized',
    ...failMessages,
};
class Messages {
    replaceParameters(message, parameters) {
        const MNEMONIC_PATTERN = /(?<={{)\w+(?=}})/gi;
        const mnemonics = message.match(MNEMONIC_PATTERN);
        let messageWithParams = message;
        if (Array.isArray(mnemonics) && mnemonics.length) {
            [...new Set(mnemonics)].forEach((mnemonicName) => {
                const value = parameters[mnemonicName];
                messageWithParams = messageWithParams.replaceAll(`{{${mnemonicName}}}`, value);
            });
        }
        return messageWithParams;
    }
    isFailMessage(messageCode) {
        return messageCode in failMessages;
    }
    getMessageByCode(messageCode, parameters = {}) {
        if (messageCode in messagesMap) {
            return this.replaceParameters(messagesMap[messageCode], parameters);
        }
        else {
            return messageCode;
        }
    }
}
const instance = new Messages();
export { instance as Messages };
