import { CardController } from '../controller/index.js';
import { Messages, Request } from '../helper/index.js';
import { ResponseError } from '../error/index.js';
class Card {
    register(app) {
        app.post('/card', async (req, res) => {
            try {
                const response = await CardController.verify(Request.getAllParams(req));
                const statusCode = Messages.isFailMessage(response.messageCode) ? 500 : 200;
                res.status(statusCode).json(response);
            }
            catch (error) {
                ResponseError.handle(res, error);
            }
        });
        app.post('/card/store', async (req, res) => {
            try {
                const response = await CardController.store(Request.getAllParams(req));
                const statusCode = Messages.isFailMessage(response.messageCode) ? 500 : 200;
                res.status(statusCode).json(response);
            }
            catch (error) {
                ResponseError.handle(res, error);
            }
        });
    }
}
const instance = new Card();
export { instance as Card };
