import { Payment, Card } from './index.js';
class Route {
    notFound(req, res) {
        res.status(500).send({
            message: `Route ${req.path} not found`,
            messageCode: 'NOT_FOUND_ROUTE',
            result: {}
        });
    }
    register(app) {
        Payment.register(app);
        Card.register(app);
        app.get('*', this.notFound.bind(this));
        app.post('*', this.notFound.bind(this));
        app.put('*', this.notFound.bind(this));
        app.delete('*', this.notFound.bind(this));
    }
}
const instance = new Route();
export { instance as Route };
