import { cpus } from 'os';
import cluster from 'cluster';
import express from 'express';
import { App } from './core/index.js';
import dotenv from 'dotenv';
import { LogCleanup, Logger } from './log/index.js';
dotenv.config();
const app = express();
const { API_SERVER_PORT: SERVER_PORT } = process.env;
App.start(app);
App.registerTLS();
if (cluster.isPrimary) {
    const CPUS = cpus();
    LogCleanup.start().then(({ removedFiles }) => {
        Logger.info(`Finished log cleanup. Removed {${removedFiles.length}} files.`);
        CPUS.forEach(() => cluster.fork());
    });
}
else {
    // workers
    app.listen(SERVER_PORT, () => {
        console.log(`Listening on ${SERVER_PORT}`);
    });
}
