import { defineConfig } from 'vitest/config';
import tsconfigPaths from 'vite-tsconfig-paths';
import ms from 'ms';

process.env.API_CERT_FILE_PATH = './cert.pem';

export default defineConfig({

  envPrefix: 'API_',
  plugins: [tsconfigPaths()],
  test: {
    testTimeout: ms('20s'),
    threads: false,
    setupFiles: ['dotenv/config'],
    coverage: {
      provider: 'istanbul' // or 'v8'
    },
  },
});
