#!/bin/bash

SCRIPTS_PATH=$('pwd')
PRODUCT_PATH=$SCRIPTS_PATH/../

PKG_VERSION="0.2.0"

PKG_FOLDER=$(realpath $PRODUCT_PATH/../retail_payments_api_packages)

OLD_NODE_VERSION=$(node -v)

echo "Current node version: $OLD_NODE_VERSION"

function installNvm {
  {
    nvm -v
  } || {
    echo 'Installing NVM...'
    curl -o- https://raw.githubusercontent.com/nvm-sh/nvm/v0.39.4/install.sh | bash
  }
}

#installNvm
source ~/.bashrc
source ~/.nvm/nvm.sh

echo 'Test crypt pass ------------------ '
printf "%s" "teknisa" | sha256sum | cut -d' ' -f1

{
  	nvm install $OLD_NODE_VERSION
	nvm install 18
	nvm use 18
} || {
	echo 'NVM not installed...'
}

cd $PRODUCT_PATH
$SCRIPTS_PATH/replace.sh "<>APPLICATION_VERSION<>" "$PKG_VERSION" "productInfo.json"

#cd $PRODUCT_PATH/frontend
#$SCRIPTS_PATH/replace.sh "0.0.0" "$PKG_VERSION" "package.json"

cd $PRODUCT_PATH/backend

rm -rf dist
rm -rf _node_modules
rm -rf env
rm package-lock.json
rm package.json
wget -O package-lock.json https://gabrielxavier1.zeedhi.com/workfolder/package-lock.json
wget -O package.json https://gabrielxavier1.zeedhi.com/workfolder/package.json

npm run build

mv node_modules _node_modules
$SCRIPTS_PATH/replace.sh "<>APPLICATION_VERSION<>" "$PKG_VERSION" "$PRODUCT_PATH/productInfo.json"
mv .env env

echo 'Remove unecessary files from package ------------------------------------------------------------'
cd $PRODUCT_PATH/backend
rm -rf src/ 
rm -rf dist/@types
 find "./dist/gateway" -type d -name "@types" -exec rm -r {} \;
rm -rf temp/
rm -rf scripts/
rm -rf tsconfig.json

nvm use $OLD_NODE_VERSION

echo 'finish'
