Legenda:

| Icone              | Descricao                   |
| ------------------ | --------------------------- |
| :heavy_check_mark: | Obrigatório                 |
| :heavy_minus_sign: | Opcional                    |
| :o:                | Obrigatóriedade condicional |

| Formato | Descrição |
| ------- | --------- |
| mmyy    | Mês e Ano |

| Parâmetro               | Descrição                                                    | Tipo / Formato            | Obrigatoriedade                           |
| ----------------------- | ------------------------------------------------------------ | ------------------------- | ----------------------------------------- |
| credentials             | Credenciais para integração com a `paymentCompany`           | Object                    | :heavy_check_mark:                        |
| credentials.merchantKey | Chave / Token para autenticação                              | string                    | :heavy_check_mark:                        |
| credentials.merchantId  | Identificador / Nome para autenticação                       | string                    | :heavy_check_mark:                        |
| postponeConfirmation    | Define se a transação vai ser com confirmação tardia         | boolean                   | :heavy_minus_sign:                        |
| paymentCompany          | Ident. da empresa para integração                            | string ()                 | :heavy_check_mark:                        |
| orderId                 | Ident. do pedido (para controle interno do solicitante)      | string                    | :heavy_check_mark:                        |
| installments            | Número de parcelas do pagamento                              | string                    | :heavy_check_mark:                        |
| installmentType         | Tipo do pagamento (à vista, parcelado)                       | string ()                 | :heavy_check_mark:                        |
| amount                  | Valor (em centavos) da transação                             | integer                   | :heavy_check_mark:                        |
| authorizer              | Autorizadora do pagamento (VISA, MASTERCARD, etc)            | string                    | :o: - Somente pagamento com cartão        |
| card                    |                                                              | Object                    | :o: - Somente pagamento com cartão        |
| card.number             | Número do cartão                                             | string (16 dígitos)       | :o: - Somente se não houver `card.token`  |
| card.expiryDate         | Data de expiração do cartão                                  | string (mmyy)             | :heavy_minus_sign:                        |
| card.token              | Token que representa os dados do cartão                      | string                    | :o: - Somente se não houver `card.number` |
| card.holder             | Nome presente no cartão                                      | string                    | :heavy_minus_sign:                        |
| card.securityCode       | Código de segurança do cartão (CVV)                          | string (3 dígitos)        | :heavy_minus_sign:                        |
| customerId              | Identificação do consumidor/comprador (único por consumidor) | string (<= 20 caracteres) | :o: - Somente na rotina de `/card/store`  |
